# Uses of Class
org.apache.commons.math3.ml.neuralnet.Neuron

Packages that use Neuron
Package
Description
org.apache.commons.math3.ml.neuralnet
Neural networks.
org.apache.commons.math3.ml.neuralnet.twod
Two-dimensional neural networks.
org.apache.commons.math3.ml.neuralnet.twod.util
Utilities to visualize two-dimensional neural networks.

## Uses of Neuron in org.apache.commons.math3.ml.neuralnet

Methods in org.apache.commons.math3.ml.neuralnet that return Neuron
Modifier and Type
Method
Description
`Neuron`
Neuron.`copy()`
Performs a deep copy of this instance.
`static Neuron`
MapUtils.`findBest(double[] features, Iterable<Neuron> neurons, DistanceMeasure distance)`
Finds the neuron that best matches the given features.
`Neuron`
Network.`getNeuron(long id)`
Retrieves the neuron with the given (unique) `id`.
`static Neuron[]`
MapUtils.`sort(double[] features, Iterable<Neuron> neurons, DistanceMeasure distance)`
Creates a list of neurons sorted in increased order of the distance to the given `features`.
Methods in org.apache.commons.math3.ml.neuralnet that return types with arguments of type Neuron
Modifier and Type
Method
Description
`static Pair<Neuron,Neuron>`
MapUtils.`findBestAndSecondBest(double[] features, Iterable<Neuron> neurons, DistanceMeasure distance)`
Finds the two neurons that best match the given features.
`static Pair<Neuron,Neuron>`
MapUtils.`findBestAndSecondBest(double[] features, Iterable<Neuron> neurons, DistanceMeasure distance)`
Finds the two neurons that best match the given features.
`Collection<Neuron>`
Network.`getNeighbours(Iterable<Neuron> neurons)`
Retrieves the neurons in the neighbourhood of any neuron in the `neurons` list.
`Collection<Neuron>`
Network.`getNeighbours(Iterable<Neuron> neurons, Iterable<Neuron> exclude)`
Retrieves the neurons in the neighbourhood of any neuron in the `neurons` list.
`Collection<Neuron>`
Network.`getNeighbours(Neuron neuron)`
Retrieves the neighbours of the given neuron.
`Collection<Neuron>`
Network.`getNeighbours(Neuron neuron, Iterable<Neuron> exclude)`
Retrieves the neighbours of the given neuron.
`Collection<Neuron>`
Network.`getNeurons(Comparator<Neuron> comparator)`
Creates a list of the neurons, sorted in a custom order.
`Iterator<Neuron>`
Network.`iterator()`
Methods in org.apache.commons.math3.ml.neuralnet with parameters of type Neuron
Modifier and Type
Method
Description
`void`
Network.`addLink(Neuron a, Neuron b)`
Adds a link from neuron `a` to neuron `b`.
`int`
Network.NeuronIdentifierComparator.`compare(Neuron a, Neuron b)`
`void`
Network.`deleteLink(Neuron a, Neuron b)`
Deletes the link between neurons `a` and `b`.
`void`
Network.`deleteNeuron(Neuron neuron)`
Deletes a neuron.
`Collection<Neuron>`
Network.`getNeighbours(Neuron neuron)`
Retrieves the neighbours of the given neuron.
`Collection<Neuron>`
Network.`getNeighbours(Neuron neuron, Iterable<Neuron> exclude)`
Retrieves the neighbours of the given neuron.
Method parameters in org.apache.commons.math3.ml.neuralnet with type arguments of type Neuron
Modifier and Type
Method
Description
`static Neuron`
MapUtils.`findBest(double[] features, Iterable<Neuron> neurons, DistanceMeasure distance)`
Finds the neuron that best matches the given features.
`static Pair<Neuron,Neuron>`
MapUtils.`findBestAndSecondBest(double[] features, Iterable<Neuron> neurons, DistanceMeasure distance)`
Finds the two neurons that best match the given features.
`Collection<Neuron>`
Network.`getNeighbours(Iterable<Neuron> neurons)`
Retrieves the neurons in the neighbourhood of any neuron in the `neurons` list.
`Collection<Neuron>`
Network.`getNeighbours(Iterable<Neuron> neurons, Iterable<Neuron> exclude)`
Retrieves the neurons in the neighbourhood of any neuron in the `neurons` list.
`Collection<Neuron>`
Network.`getNeighbours(Neuron neuron, Iterable<Neuron> exclude)`
Retrieves the neighbours of the given neuron.
`Collection<Neuron>`
Network.`getNeurons(Comparator<Neuron> comparator)`
Creates a list of the neurons, sorted in a custom order.
`static Neuron[]`
MapUtils.`sort(double[] features, Iterable<Neuron> neurons, DistanceMeasure distance)`
Creates a list of neurons sorted in increased order of the distance to the given `features`.

## Uses of Neuron in org.apache.commons.math3.ml.neuralnet.twod

Methods in org.apache.commons.math3.ml.neuralnet.twod that return Neuron
Modifier and Type
Method
Description
`Neuron`
NeuronSquareMesh2D.`getNeuron(int i, int j)`
Retrieves the neuron at location `(i, j)` in the map.
`Neuron`
NeuronSquareMesh2D.`getNeuron(int row, int col, NeuronSquareMesh2D.HorizontalDirection alongRowDir, NeuronSquareMesh2D.VerticalDirection alongColDir)`
Retrieves the neuron at `(location[0], location[1])` in the map.
Methods in org.apache.commons.math3.ml.neuralnet.twod that return types with arguments of type Neuron
Modifier and Type
Method
Description
`Iterator<Neuron>`
NeuronSquareMesh2D.`iterator()`

## Uses of Neuron in org.apache.commons.math3.ml.neuralnet.twod.util

Methods in org.apache.commons.math3.ml.neuralnet.twod.util with parameters of type Neuron
Modifier and Type
Method
Description
`LocationFinder.Location`
LocationFinder.`getLocation(Neuron n)`
Retrieves a neuron's grid coordinates.